Status: Closed Start date: 2011-03-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.2

Description

Hello,

Why I cannot add more than 100 users to group? Because line 27 at /groups/_users.html.rb:

<% users = User.active.find(:all, :limit => 100) - @group.users %>

It is wrong. After 100 users added to group, the variable users is forever blank. Even when I have hundreds users.

Thanks for fix

Petr

Associated revisions

Revision 5284 - 2011-04-01 18:47 - Jean-Philippe Lang

Fixed: list of users for adding to a group may be empty if 100 first users have been added (#8029).

History

#1 - 2011-03-31 10:59 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-04-01 18:32 - Jean-Philippe Lang

Just type a few letters in the field above the list and the user you want to add will show up.

#3 - 2011-04-01 18:37 - Etienne Massip

Can't we add a named scope User#not_in_group(user_group) for correctness ?

(or something like this)

#4 - 2011-04-01 18:49 - Jean-Philippe Lang

- Subject changed from /groups/_users.html.erb to List of users for adding to a group may be empty if 100 first users have been added

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.2.0

- Resolution set to Fixed

Just done in r5284 before I saw your update :-)

#5 - 2011-04-01 18:50 - Jean-Philippe Lang

User.not_in_group() actually.

#6 - 2011-04-01 18:58 - Etienne Massip

Niiiice =)

#7 - 2011-04-09 23:07 - Petr Pospisil

thanks for fix
